init python:
    import random
    from threading import Timer

    rock_hit_cooldown = 0.1
    rock_hit = False
    rock_room_2 = "None"
    rock_room_4 = "Chip"
    rock_room_8 = "None"
    rock_room_16 = "Chip"

    computer_is_accessible = False
    computer_is_active = False

    boss_introduction = True
    mimi_introduction = True
    worm_in_room_3 = True
    first_chip_found = False
    first_chip_retrieved = False
    first_explosion = False
    worm_in_room_6 = True

    ## Hole
    hole_teleported = False
    hole_first_room_visited = 0
    second_chip_found = False #After talking to the creature in the hole
    hole_rescued = False # Got out of the hole, Mimi prevent you from falling again

    second_chip_plugged = False
    second_chip_retrieved = False

    hole_is_patched = False

    third_chip_found = False #At this point, betrailed and burried
    boss_betray = False
    wormy_can_help_time = 15.0
    wormy_can_help = False
    passage_open = False

    mimi_burried = True #False once the player reach ROOM 02 after escape
    flying_car_accessible = False

    def RockFeedback():
        global rock_hit
        rock_hit = True
        Timer(rock_hit_cooldown, RemoveRockFeedback).start()

    def RemoveRockFeedback():
        global rock_hit
        rock_hit = False
        renpy.restart_interaction()

    def MineRock(pRockContent, pHP):
        RockFeedback()

        if pHP > 0:
            return
        if pRockContent == "Chip":
            renpy.notify("+ You found a computer chip!")
            return
        
        renpy.notify("Nothing here...")

    def PostBetray_WormyHelpOn():
        global wormy_can_help
        wormy_can_help = True

### LOCATIONS
screen room01Location(previous_location):

    add "cave/ROOM 01.png":
        if previous_location == "ROOM 02":
            at LocationShowZoom
        elif previous_location == "CAVE ENTRANCE":
            at LocationShowZoomIn
    
    fixed:
        if previous_location == "ROOM 02":
            at LocationShowZoom(1.13)
        elif previous_location == "CAVE ENTRANCE":
            at LocationShowZoomIn(0.87)
            
        if first_chip_found and hole_rescued==False:
            button:
                action [Return(), Jump("mimi_room_01")]
                align (0.7, 0.8)
                frame:
                    background "#3335"
                    hover_background "#3339"
                    add "character/mimi happy 02.png"

screen room02Location(previous_location):
    default RockStamina01 = 2

    if boss_betray and mimi_burried:
        timer 0.01 action [Return(), Jump("mimi_escape")]

    text "ROOM 02"
    if boss_betray and not mimi_burried:
        add "cave/ROOM 02 b.png":
            if previous_location == "ROOM 01":
                at LocationShowZoomIn
            elif previous_location == "ROOM 03":
                at LocationShowZoom
            elif previous_location == "ROOM 13":
                at LocationShowLeft, LocationShowZoom
    else:
        add "cave/ROOM 02.png":
            if previous_location == "ROOM 01":
                at LocationShowZoomIn
            elif previous_location == "ROOM 03":
                at LocationShowZoom
            elif previous_location == "ROOM 13":
                at LocationShowLeft, LocationShowZoom

    fixed:
        if previous_location == "ROOM 01":
            at LocationShowZoomIn(0.87)
        elif previous_location == "ROOM 03":
            at LocationShowZoom(1.13)
        elif previous_location == "ROOM 13":
            at LocationShowLeft, LocationShowZoom(1.13)

        
        if rock_room_2:
            button:
                action [Function(MineRock, rock_room_2, RockStamina01), If(rock_hit==False, SetLocalVariable("RockStamina01", RockStamina01-1)), If(RockStamina01<=0, true=SetVariable("rock_room_2", False))]
                align (0.85, 0.88)
                frame:
                    background "#3335"
                    hover_background "#3339"
                    add "ROCK_01_[rock_hit]"
                    
screen room03Location(previous_location):
    text "ROOM 03"
    if first_explosion:
        add "cave/ROOM 03 B.png":
            if previous_location == "ROOM 02":
                at LocationShowZoomIn
            if previous_location == "ROOM 05":
                at LocationShowZoom
            if previous_location == "ROOM 04":
                at LocationShowRight, LocationShowZoom
    else:
        add "cave/ROOM 03 A.png":
            if previous_location == "ROOM 02":
                at LocationShowZoomIn
            if previous_location == "ROOM 05":
                at LocationShowZoom
            if previous_location == "ROOM 04":
                at LocationShowRight, LocationShowZoom

    if worm_in_room_3:
        timer 0.5 action [SetVariable("worm_in_room_3", False), Return(), Jump("wormy_room_03")]
        add "wormy angry 02":
            align (0.5,0.85)
screen room04Location(previous_location):
    default RockStamina02 = 3

    text "ROOM 04"
    add "cave/ROOM 04.png":
        if previous_location == "ROOM 03":
            at LocationShowZoomIn, LocationShowLeft

    fixed:
        if previous_location == "ROOM 03":
            at LocationShowZoomIn, LocationShowLeft
        else:
            at LocationDefault
        
        if rock_room_4:
            button:
                action [Function(MineRock, rock_room_4, RockStamina02), SetLocalVariable("RockStamina02", RockStamina02-1), If(RockStamina02<=0, true=[SetVariable("rock_room_4", False), SetVariable("first_chip_found", True)])]
                align (0.5, 0.7)
                frame:
                    background "#3335"
                    hover_background "#3339"
                    add "ROCK_02_[rock_hit]"
screen room05Location(previous_location):
    if first_explosion:
        add "cave/ROOM 05 B.png":
            if previous_location == "ROOM 06":
                at LocationShowZoom
            elif previous_location == "ROOM 03":
                at LocationShowZoomIn
    else:
        add "cave/ROOM 05 A.png":
            if previous_location == "ROOM 06":
                at LocationShowZoom
            elif previous_location == "ROOM 03":
                at LocationShowZoomIn
    fixed:
        if previous_location == "ROOM 06":
            at LocationShowZoom(1.13)
        elif previous_location == "ROOM 03":
            at LocationShowZoomIn(0.87)
        else:
            at LocationDefault
        if first_explosion==False:
            button:
                align (0.5, 0.65)
                action Notify("\"TNT, please do not touch\" - Mimi")
                # yoffset 110 
                frame:
                    yoffset 50
                    add "cave/TNT 01.png":
                        yalign 0.65
                        xoffset -100
                        
                    background "#3335"
                    hover_background "#3339"
                    xysize (218,218)
screen room06Location(previous_location):
    add "cave/ROOM 06.png":
        if previous_location == "ROOM 05":
            at LocationShowZoomIn
        elif previous_location == "ROOM 07":
            at LocationShowLeft, LocationShowZoom
    fixed:
        if previous_location == "ROOM 05":
            at LocationShowZoomIn(0.87)
        elif previous_location == "ROOM 07":
            at LocationShowLeft, LocationShowZoom(1.13)
        else:
            at LocationDefault
        
        if worm_in_room_6:
            timer 0.5 action [SetVariable("worm_in_room_6", False), Return(), Jump("wormy_room_06")]
            add "wormy angry 02":
                align (0.5,0.85)

screen room07Location(previous_location):
    if hole_is_patched:
        add "cave/ROOM 07 B.png":
            if previous_location == "ROOM 06":
                at LocationShowLeft(-50), LocationShowZoomIn
            elif previous_location == "ROOM 08":
                at  LocationShowRight, LocationShowZoom
            elif previous_location == "ROOM 09":
                at LocationShowZoom
    else:
        add "cave/ROOM 07 A.png":
            if previous_location == "ROOM 06":
                at LocationShowLeft(-50), LocationShowZoomIn
            elif previous_location == "ROOM 08":
                at  LocationShowRight, LocationShowZoom
            elif previous_location == "ROOM 09":
                at LocationShowZoom
            
    text "ROOM 07"
    fixed:
        if previous_location == "ROOM 06":
            at LocationShowLeft(-50), LocationShowZoomIn(0.87)
        elif previous_location == "ROOM 08":
            at  LocationShowRight, LocationShowZoom(1.13)
        elif previous_location == "ROOM 09":
            at LocationShowZoom(1.13)
        
screen room08Location(previous_location):
    default RockStamina03 = 2

    add "cave/ROOM 08.png":
        if previous_location == "ROOM 07":
            at LocationShowRight(50), LocationShowZoomIn
        
    text "ROOM 08"
    fixed:
        if previous_location == "ROOM 07":
            at LocationShowRight(50), LocationShowZoomIn(0.87)
        else:
            at LocationDefault

        if rock_room_8:
            button:
                action [Function(MineRock, rock_room_8, RockStamina03), If(rock_hit==False, SetLocalVariable("RockStamina03", RockStamina03-1)), If(RockStamina03<=0, true=SetVariable("rock_room_8", False))]
                align (0.48, 0.71)
                frame:
                    background "#3335"
                    hover_background "#3339"
                    add "ROCK_03_[rock_hit]"
screen room09Location(previous_location):
    if hole_is_patched:
        add "cave/ROOM 09 B.png":
            if previous_location == "ROOM 07":
                at LocationShowZoomIn
            elif previous_location == "ROOM 10":
                at LocationShowLeft, LocationShowZoom
    else:
        add "cave/ROOM 09 A.png":
            if previous_location == "ROOM 07":
                at LocationShowZoomIn
            elif previous_location == "ROOM 10":
                at LocationShowLeft, LocationShowZoom

    fixed:
        if previous_location == "ROOM 07":
            at LocationShowZoomIn(0.87)
        elif previous_location == "ROOM 10":
            at LocationShowLeft, LocationShowZoom(1.13)
        else:
            at LocationDefault
screen room10Location(previous_location):
    if hole_is_patched:
        if boss_betray:
            add "cave/ROOM 10 C.png":
                if previous_location == "ROOM 09":
                    at LocationShowLeft(-70), LocationShowZoomIn
                elif previous_location == "ROOM 11":
                    at LocationShowZoom
        else:
            add "cave/ROOM 10 B.png":
                if previous_location == "ROOM 09":
                    at LocationShowLeft(-70), LocationShowZoomIn
                elif previous_location == "ROOM 11":
                    at LocationShowZoom
    else:
        add "cave/ROOM 10 A.png":
            if previous_location == "ROOM 09":
                at LocationShowLeft(-70), LocationShowZoomIn
            elif previous_location == "ROOM 11":
                at LocationShowZoom
    if hole_is_patched:
        text "ROOM 10 (no hole)"
    else:
        text "ROOM 10 (hole)"
        if hole_rescued == False:
            timer 0.01 action [Return(), Jump("fall_into_hole_sequence")]

    fixed:
        if previous_location == "ROOM 09":
            at LocationShowZoomIn(0.87)
        elif previous_location == "ROOM 11":
            at LocationShowZoom(1.13)
        else:
            at LocationDefault

        if hole_is_patched==False and hole_rescued:
            button:
                action [Return(), Jump("mimi_hole_dialogue")]
                align (0.8, 1.0)
                yoffset 30
                frame:
                    background "#3335"
                    hover_background "#3339"
                    add "character/mimi happy 02.png"

screen room11Location(previous_location):
    if boss_betray:
        add "cave/ROOM 11 B.png":
            if previous_location == "ROOM 10":
                at LocationShowZoomIn
            elif previous_location == "ROOM 12":
                at LocationShowZoom
            elif previous_location == "ROOM 14":
                at LocationShowRight, LocationShowZoom
    else:
        add "cave/ROOM 11 A.png":
            if previous_location == "ROOM 10":
                at LocationShowZoomIn
            elif previous_location == "ROOM 12":
                at LocationShowZoom
            elif previous_location == "ROOM 14":
                at LocationShowRight, LocationShowZoom
    text "ROOM 11"
    fixed:
        if previous_location == "ROOM 10":
            at LocationShowZoomIn(0.87)
        elif previous_location == "ROOM 12":
            at LocationShowZoom(1.13)
        elif previous_location == "ROOM 14":
            at LocationShowRight, LocationShowZoom(1.13)
        else:
            at LocationDefault
screen room12Location(previous_location):
    add "cave/ROOM 12.png":
        if previous_location == "ROOM 11":
            at LocationShowZoomIn
        elif previous_location == "ROOM 13":
            at LocationShowLeft, LocationShowZoom
    text "ROOM 12"
    fixed:
        if previous_location == "ROOM 11":
            at LocationShowZoomIn(0.87)
        elif previous_location == "ROOM 13":
            at LocationShowLeft, LocationShowZoom(1.13)
        else:
            at LocationDefault
        button:
            action [Return(), Jump("mimi_room12")]
            align (0.7, 0.8)
            frame:
                background "#3335"
                hover_background "#3339"
                add "character/mimi happy 02.png"
screen room13Location(previous_location):
    if mimi_burried :
        add "cave/ROOM 13 A.png":
            if previous_location == "ROOM 12":
                at LocationShowLeft(-50), LocationShowZoomIn
            elif previous_location == "ROOM 02":
                at LocationShowRight(50), LocationShowZoom
    else:
        add "cave/ROOM 13 B.png":
            if previous_location == "ROOM 12":
                at LocationShowLeft(-50), LocationShowZoomIn
            elif previous_location == "ROOM 02":
                at LocationShowRight(50), LocationShowZoom

    text "ROOM 13"
    fixed:
        if previous_location == "ROOM 12":
            at LocationShowLeft(-50), LocationShowZoomIn(0.87)
        elif previous_location == "ROOM 02":
            at LocationShowZoom(1.13)
        else:
            at LocationDefault
screen room14Location(previous_location):
    if wormy_can_help:
        timer 0.01 action [Return(), Jump("wormy_help")]
    if boss_betray:
        if passage_open:
            add "cave/ROOM 14 C.png":
                if previous_location == "ROOM 11":
                    at LocationShowZoomIn
                elif previous_location == "ROOM 15":
                    at LocationShowZoom
        else:
            add "cave/ROOM 14 B.png":
                if previous_location == "ROOM 11":
                    at LocationShowZoomIn
                elif previous_location == "ROOM 15":
                    at LocationShowZoom
    else:
        add "cave/ROOM 14 A.png":
            if previous_location == "ROOM 11":
                at LocationShowZoomIn
            elif previous_location == "ROOM 15":
                at LocationShowZoom
    text "ROOM 14"
    fixed:
        if previous_location == "ROOM 11":
            at LocationShowZoomIn(0.87)
        elif previous_location == "ROOM 15":
            at LocationShowZoom(1.13)
        else:
            at LocationDefault
screen room15Location(previous_location):
    if third_chip_found and boss_betray == False:
        timer 0.01 action [Return(), Jump("boss_betray")]
    if boss_betray:
        add "cave/ROOM 15 B.png":
            if previous_location == "ROOM 14":
                at LocationShowZoomIn
            elif previous_location == "ROOM 16":
                at LocationShowLeft, LocationShowZoom
    else:
        add "cave/ROOM 15 A.png":
            if previous_location == "ROOM 14":
                at LocationShowZoomIn
            elif previous_location == "ROOM 16":
                at LocationShowLeft, LocationShowZoom
    text "ROOM 15"
    fixed:
        if previous_location == "ROOM 14":
            at LocationShowZoomIn(0.87)
        elif previous_location == "ROOM 16":
            at LocationShowLeft, LocationShowZoom(1.13)
        else:
            at LocationDefault
screen room16Location(previous_location):
    default RockStamina04 = 8

    if boss_betray:
        add "cave/ROOM 16 B.png":
            if previous_location == "ROOM 15":
                at LocationShowLeft(-50), LocationShowZoomIn
    else:
        add "cave/ROOM 16 A.png":
            if previous_location == "ROOM 15":
                at LocationShowLeft(-50), LocationShowZoomIn
        
    text "ROOM 16"
    fixed:
        if previous_location == "ROOM 15":
            at LocationShowLeft(-50), LocationShowZoomIn(0.87)
        else:
            at LocationDefault

        if rock_room_16:
            button:
                action [Function(MineRock, rock_room_16, RockStamina04), If(rock_hit==False, SetLocalVariable("RockStamina04", RockStamina04-1)),
                    If(RockStamina04<=0, true=[SetVariable("rock_room_16", False), SetVariable("third_chip_found", True)])]
                align (0.48, 0.71)
                frame:
                    background "#3335"
                    hover_background "#3339"
                    add "ROCK_04_[rock_hit]"

screen hole01Location(previous_location):
    if hole_first_room_visited >= 4 and hole_teleported and second_chip_found:
        timer 0.01 action [Return(), Jump("hole_rescue")]

    timer 0.01 action [SetVariable("hole_first_room_visited", hole_first_room_visited+1)]
    if previous_location == "HOLE 05":
        timer 0.01 action [SetVariable("hole_teleported", True)]
    add "cave/HOLE 01.png":
        if previous_location == "HOLE 05":
            at LocationShowZoomIn
        elif previous_location == "HOLE 02":
            at LocationShowZoom
    text "HOLE 01"
    fixed:
        if previous_location == "ROOM 05":
            at LocationShowZoomIn(0.87)
        elif previous_location == "ROOM 07":
            at LocationShowZoom(1.13)
        else:
            at LocationDefault
screen hole02Location(previous_location):
    add "cave/HOLE 02.png":
        if previous_location == "HOLE 01":
            at LocationShowZoomIn
        elif previous_location == "HOLE 03":
            at LocationShowRight, LocationShowZoom
        elif previous_location == "HOLE 04":
            at LocationShowLeft, LocationShowZoom
    text "HOLE 02"
    fixed:
        if previous_location == "HOLE 01":
            at LocationShowZoomIn(0.87)
        elif previous_location == "HOLE 03":
            at LocationShowRight, LocationShowZoom(1.13)
        elif previous_location == "HOLE 04":
            at LocationShowLeft, LocationShowZoom(1.13)
        
screen hole03Location(previous_location):
    if second_chip_found == False:
        timer 0.5 action [Return(), Jump("hole_creature")]
    add "cave/HOLE 03.png":
        if previous_location == "HOLE 02":
            at LocationShowLeft(50), LocationShowZoomIn
        
    text "HOLE 03"
    fixed:
        if previous_location == "ROOM 05":
            at LocationShowZoomIn(0.87)
        elif previous_location == "ROOM 07":
            at LocationShowZoom(1.13)
        else:
            at LocationDefault
screen hole04Location(previous_location):
    add "cave/HOLE 04.png":
        if previous_location == "HOLE 02":
            at LocationShowRight(-50), LocationShowZoomIn
        elif previous_location == "HOLE 05":
            at LocationShowRight, LocationShowZoom
    text "HOLE 04"
    fixed:
        if previous_location == "HOLE 02":
            at LocationShowLeft(50), LocationShowZoomIn(0.87)
        elif previous_location == "HOLE 05":
            at LocationShowRight, LocationShowZoom(1.13)
        else:
            at LocationDefault
screen hole05Location(previous_location):
    add "cave/HOLE 05.png":
        if previous_location == "HOLE 04":
            at LocationShowRight(-50), LocationShowZoomIn
    text "HOLE 05"
    fixed:
        if previous_location == "ROOM 04":
            at LocationShowZoomIn(0.87)
        else:
            at LocationDefault

screen caveEntranceLocation(previous_location):
    add "cave/ENTRANCE.png":
        if previous_location == "ROOM 01":
            at LocationShowZoom
        elif previous_location == "TENT":
            at LocationShowZoomIn
    fixed:
        if previous_location == "ROOM 01":
            at LocationShowZoom(1.13)
        elif previous_location == "TENT":
            at LocationShowZoomIn(0.87)
        if mimi_introduction:
            add "character/mimi happy 02.png":
                align (0.8, 0.8)
            timer 0.5 action [SetVariable("mimi_introduction", False), Return(), Jump("mimi_introduction")]

screen tentLocation(previous_location):
    add "cave/TENT.png":
        if previous_location == "CAVE ENTRANCE":
            at LocationShowZoom
        elif previous_location == "CAMP ENTRANCE":
            at LocationShowZoomIn
        elif previous_location == "COMPUTER":
            at LocationShowZoom, LocationShowLeft
    if computer_is_accessible == False:
        add "cave/TENT_computer off.png":
            if previous_location == "CAVE ENTRANCE":
                at LocationShowZoom
            elif previous_location == "CAMP ENTRANCE":
                at LocationShowZoomIn
            elif previous_location == "COMPUTER":
                at LocationShowZoom, LocationShowLeft
    fixed:
        if previous_location == "CAVE ENTRANCE":
            at LocationShowZoom(1.13)
        elif previous_location == "CAMP ENTRANCE":
            at LocationShowZoomIn(0.87)
        elif previous_location == "COMPUTER":
            at LocationShowZoom(1.13), LocationShowLeft

        if computer_is_accessible == False:
            button:
                align (0.91, 0.50)
                if first_chip_retrieved == False:
                    action Notify("This machine needs some new pieces to work...")
                else:
                    action [Notify("- You plugged the chip"), SetVariable("computer_is_accessible", True)]
                frame:
                    background "#3335"
                    hover_background "#3339"
                    xysize (380,310)
            
        if first_chip_found and not boss_betray:
            button:
                action [Return(), Jump("boss_tent")]
                align (0.3, 0.5) 
                frame:
                    background "#3335"
                    hover_background "#3339"
                    add "character/boss happy 02.png"
        
screen computerLocation(previous_location):
    fixed:
        if previous_location == "TENT":
            at LocationShowZoomIn, LocationShowLeft
        use computerScreen()
        add "cave/COMPUTER.png"
    fixed:
        if previous_location == "TENT":
            at LocationShowZoomIn, LocationShowLeft
        if second_chip_retrieved and computer_is_active==False:
            button:
                align (0.0, 0.50)
                action [Notify("- You plugged the chip"), SetVariable("computer_is_active", True), Function(computer_start_loading)]
                frame:
                    background "#3335"
                    hover_background "#3339"
                    xysize (380,310*2)
    #     if previous_location == "CAVE ENTRANCE":
    #         at LocationShowZoom(1.13)
    #     elif previous_location == "CAMP ENTRANCE":
    #         at LocationShowZoomIn(0.87)

screen flyingCarLocation(previous_location):
    add "cave/FLYING CAR.png":
        if previous_location == "EOLIENNE":
            at LocationShowZoom
    fixed:
        if previous_location == "EOLIENNE":
            at LocationShowZoom(1.13)
        else:
            at LocationDefault
        
        add "cave/EOLIENNE WINGS 2.png":
            at rotate_eolienne
            pos (715, 393)

        button:
            action [Return(), Jump("final_sequence_start")]
            align (0.0, 1.0)
            frame:
                background "#3335"
                hover_background "#3339"
                xysize (500,600)

screen eolienneLocation(previous_location):
    if boss_betray:
        add "cave/EOLIENNE B.png":
            if previous_location == "CAMP ENTRANCE":
                at LocationShowZoom
            elif previous_location == "FLYING CAR":
                at LocationShowZoomIn
    else:
        add "cave/EOLIENNE.png":
            if previous_location == "CAMP ENTRANCE":
                at LocationShowZoom
            elif previous_location == "FLYING CAR":
                at LocationShowZoomIn
    fixed:
        if previous_location == "CAMP ENTRANCE":
            at LocationShowZoom(1.13)
        elif previous_location == "FLYING CAR":
            at LocationShowZoomIn(0.87)
        else:
            at LocationDefault
        
        add "cave/EOLIENNE WINGS.png":
            at rotate_eolienne
            pos (380, 130)
        
        if boss_introduction:
            frame:
                at MainMenuTipBubble
                xysize (230, 209)
                background "speech_bubble_down.png"
                pos (0.7, 220)
                text "HOVER AND PRESS SPACE":
                    yoffset 60
                    xalign 0.5
                    text_align 0.5
                    line_spacing -5

transform MainMenuTipBubble(pMaxAlpha = 1.0):
    alpha 0.0
    pause 0.5
    block:
        easein 1.0 alpha pMaxAlpha
        pause 0.7
        easein 1.0 alpha 0.0
        repeat

screen campEntranceLocation(previous_location):
    if boss_betray and not flying_car_accessible:
        timer 0.01 action [Return(), Jump("mimi_unlock_flying_car")]
    if boss_betray:
        add "cave/CAMP ENTRANCE B.png":
            if previous_location == "TENT":
                at LocationShowZoom
            if previous_location == "EOLIENNE":
                at LocationShowZoomIn
    else:
        add "cave/CAMP ENTRANCE.png":
            if previous_location == "TENT":
                at LocationShowZoom
            if previous_location == "EOLIENNE":
                at LocationShowZoomIn
    fixed:
        if previous_location == "TENT":
            at LocationShowZoom(1.13)
        elif previous_location == "EOLIENNE":
            at LocationShowZoomIn(0.87)
        
        
        if boss_introduction:
            button:
                action [SetVariable("boss_introduction", False), Return(), Jump("boss_introduction")]
                align (0.25, 0.5) 
                frame:
                    background "#3335"
                    hover_background "#3339"
                    add "character/boss happy 02.png"

        ## SIGN
        button:
            align (0.92, 0.70)
            action Notify(random.choice(["\"Looters be gone!\" - Boss", "\"Nothing to steal here!\" - Boss", "\"Employee zone ONLY\" - Boss", "\"Don't trip over the wires\" - Boss"]))
            frame:
                background "#3335"
                hover_background "#3339"
                xysize (310,190)

screen ending01Location(previous_location):
    add "boss/CRASHSITE.png"
screen ending02Location(previous_location):
    timer 0.5 action [Return(), Jump("mimi_final_speech")]
    add "boss/MIMI CRASH 01.png":
        at LocationShowZoomIn


### IMAGES (MOSTLY ROCKS)
image ROCK_01_False = "cave/ROCK 01.png"
image ROCK_01_True:
    "ROCK_01_False"
    turn_white
image ROCK_02_False = "cave/ROCK 02.png"
image ROCK_02_True:
    "ROCK_02_False"
    turn_white
image ROCK_03_False = "cave/ROCK 03.png"
image ROCK_03_True:
    "ROCK_03_False"
    turn_white
image ROCK_04_False = "cave/ROCK 04.png"
image ROCK_04_True:
    "ROCK_04_False"
    turn_white


transform LocationDefault:
    align (0.5,0.5)
transform LocationShowRight(pOffset = 100):
    LocationDefault
    on show, start:
        xoffset pOffset
        easein_back 0.5 xoffset 0

transform LocationShowLeft(pOffset = -100):
    LocationDefault
    on show, start:
        xoffset pOffset
        easein_back 0.5 xoffset 0

transform LocationShowDown(pOffset = 100):
    LocationDefault
    on show, start:
        yoffset pOffset
        easein_back 0.5 yoffset 0

transform LocationShowUp(pOffset = -100):
    LocationDefault
    on show, start:
        yoffset pOffset
        easein_back 0.5 yoffset 0

transform LocationShowZoom(pAmount = 1.10):
    LocationDefault
    on show, start:
        zoom pAmount
        easein_back 0.5 zoom 1.0
transform LocationShowZoomIn(pAmount = 0.90):
    LocationDefault
    on show, start:
        zoom pAmount
        easein_back 0.5 zoom 1.0

transform turn_white(pAmount = 0.8):
    matrixcolor BrightnessMatrix(pAmount)
transform turn_black():
    matrixcolor BrightnessMatrix(-0.99)
transform turn_normal():
    matrixcolor BrightnessMatrix(0)

transform rotate_eolienne():
    anchor (0.5, 0.5)
    rotate 0
    block:
        rotate 0
        linear 10 rotate 360
        repeat